# Interface methods for submodule: GrayscaleGeodesicDilateImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: GrayscaleGeodesicDilateImageFilter
class GrayscaleGeodesicDilateImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMarkerImage(self, arg0) -> None:
		""""""
		...

	def GetMarkerImage(self):
		""""""
		...

	def SetMaskImage(self, arg0) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetRunOneIteration(self, _arg: bool) -> None:
		""""""
		...

	def GetRunOneIteration(self) -> bool:
		""""""
		...

	def RunOneIterationOn(self) -> None:
		""""""
		...

	def RunOneIterationOff(self) -> None:
		""""""
		...

	def GetNumberOfIterationsUsed(self) -> int:
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

